package com.upsfj.sfjprojectbackend.service;

import com.upsfj.sfjprojectbackend.entity.Algorithm;
import com.upsfj.sfjprojectbackend.entity.Field;
import com.upsfj.sfjprojectbackend.entity.UseCase;

import java.util.List;

public interface AlgorithmService {

//     获取算法具体的所有信息
     public List<Algorithm> getAllAlgorithms();
//     获取所有的应用领域

     public List<Field> getAllField();


     public List<UseCase> getAllUsecase();

     public  void updateAlgorithm(Algorithm algorithm);

     public void addAlgorithm(Algorithm algorithm);

     public  void deleteAlgorithm(Algorithm algorithm);
}
